class MembersController < ApplicationController
  before_action :set_member, except: [:index, :new, :create, :finance_export]

  #用户列表
  def index
    @members = Member.all
    role = @current_user.role
    if role.code!="admin"
      @members = @members.where(:creator_id => @current_user.id)
    end
  end

  #创建用户
  def new
    @member = Member.new
  end

  #修改用户
  def edit
  end

  def reset_password
  end

  def create
    @member = Member.new(member_params)
    @member.creator_id = @current_user.id
    @member.password = Member.getmd5(@member.password)
    respond_to do |format|
      if @member.save
        format.html { redirect_to members_path }
      else
        format.html { redirect_to new_member_path, :alert => @member.errors.values.join(";") }
      end
    end
  end

  def update
    if !params[:member][:password].blank?
      @memberupdate = @member.update(:password => Member.getmd5(params[:member][:password]))
    else
      @memberupdate = @member.update(member_params)
    end
    if @memberupdate
      redirect_to member_path @member
    else
      redirect_to edit_member_path, :alert => @member.errors.values.join(";")
    end
  end

  #冻结用户
  def destroy
    @member.freezed = @member.freezed == 0 ? 1 : 0
    @member.save
    redirect_to member_path(@member) and return
  end

  private
  def set_member
    @member = Member.find(params[:id])
  end

  def member_params
    params.require(:member).permit(:name, :password, :role_id, :realname, :tel, :email, :weixin, :qq, :job)
  end

end
