class MenusController < ApplicationController
  before_action :set_menu, only: [:edit, :show, :update, :destroy]

  def index
    # @menus = Menu.orderByParent.page(params[:page]).per(1)
    @menus = Menu.orderByParent
  end

  def show
    @menus = Menu.where(parent_id: @menu.id)
  end

  def new
    @menu = Menu.new
    if params[:parent_id]
      @menu.parent_id = params[:parent_id]
    end
  end

  def create
    @menu = Menu.new(menu_params)
    respond_to do |format|
      if @menu.save
        format.html{ redirect_to menus_path }
      else
        format.html{ render :new }
      end
    end
  end

  def edit
  end

  def update
    respond_to do |format|
      if @menu.update(menu_params)
        format.html{ redirect_to menus_path }
      else
        format.html{ render :edit }
      end
    end
  end

  def destroy
    respond_to do |format|
      Menu.where(parent_id: @menu.id).destroy_all
      @menu.destroy
      format.html{ redirect_to menus_path }
    end
  end

  private
  def set_menu
    @menu = Menu.find params[:id]
  end

  def menu_params
    params.require(:menu).permit(:title, :path, :sort, :authpath, :parent_id, :icon)
  end
end
