class Role < ActiveRecord::Base
  belongs_to :sale
  has_many :groups, :dependent => :destroy
  has_many :functions, :through => :groups
  has_many :members
  validates :name, :presence => {:message => "名称不能为空"}, :uniqueness => {:message => "名称已存在"}
  validates :code, :uniqueness => {:message => "标识代码已存在"}

  def Role.getall
    Role.where("id <> 1").order("id DESC")
  end

end
