class Routepath < ActiveRecord::Base
  belongs_to :function
  validates :controller, :presence => {:message => "控制器不能为空"}
  validates :action, :presence => {:message => "动作不能为空"}
  validates :method, :presence => {:message => "请求方法不能为空"}

  def self.seed
    Rails.application.routes.routes.each do |route|
      controller = route.defaults[:controller]
      action = route.defaults[:action]
      #method = "#{route.constraints[:request_method]}".gsub("(?-mix:^","").gsub("$)","")
      method = route.verb
      if controller && action && method
        next if controller.length>=5 && controller[0, 5]=="rails"
        if Routepath.where(controller: controller, action: action, method: method).blank?
          puts "create---#{controller}|---#{action}|--#{method}"
          Routepath.create!(controller: controller, action: action, method: method)
        end
      end
    end
    return ""
  end

  def self.check(controller, action, method=nil)
    if method.blank?
      return !Routepath.where(controller: controller, action: action).exists?
    else
      return !Routepath.where(controller: controller, action: action, method: method).exists?
    end
  end

end
