class RequirementsController < ApplicationController
  before_action :set_report
  before_action :set_requirement, only: [:show, :edit, :update, :destroy]

  def index
    @requirements = @report.requirements.page(params[:page]).per(50)
  end

  def show
  end

  def new
    @requirement = Requirement.new
  end

  def edit
  end

  def create
    @requirement = Requirement.new(requirement_params)
    @requirement.report = @report
    respond_to do |format|
      if @requirement.save
        format.html { redirect_to report_requirements_url, notice: '添加成功' }
      else
        format.html { render :new }
      end
    end
  end

  def update
    respond_to do |format|
      if @requirement.update(requirement_params)
        format.html { redirect_to report_requirements_url, notice: '修改成功' }
      else
        format.html { render :edit }
      end
    end
  end

  def destroy
    @requirement.destroy
    respond_to do |format|
      format.html { redirect_to report_requirements_url, notice: '删除成功' }
    end
  end

  private
    def set_requirement
      @requirement = Requirement.find(params[:id])
    end

    def set_report
      @report = Report.find(params[:report_id])
    end

    def requirement_params
      params.require(:requirement).permit(:report_id, :name, :sql_key, :sql_default, :sql_replace, :sql_str, :sql_type, :form_type)
    end
end
